- [HTTP request](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.dataScans/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.dataScans/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.dataScans/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.dataScans/create#body.request_body)
- [Response body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.dataScans/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.dataScans/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.dataScans/create#try-it)

Creates a DataScan resource.

### HTTP request

`POST https://dataplex.googleapis.com/v1/{parent=projects/*/locations/*}/dataScans`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the parent location: `projects/{project}/locations/{locationId}` where `project` refers to a *projectId* or *projectNumber* and `locationId` refers to a Google Cloud region. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `dataplex.datascans.create` |

### Query parameters

| Parameters ||
|---|---|
| `dataScanId` | `string` Optional. DataScan identifier. If not provided, a unique ID will be generated with the prefix "data-scan-". - Must contain only lowercase letters, numbers and hyphens. - Must start with a letter. - Must end with a number or a letter. - Must be between 1-63 characters. - Must be unique within the customer project / location. |
| `validateOnly` | `boolean` Optional. Only validate the request, but do not perform mutations. The default is `false`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.dataScans#DataScan`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/organizations.locations.operations#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dataplex.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).